package bits

import (
	"net/http"
	"net/url"
)

type Bits struct {
	client  *http.Client
	baseUrl *url.URL
}

func New(client *http.Client, baseUrl *url.URL) *Bits {
	return &Bits{
		client:  client,
		baseUrl: baseUrl,
	}
}

type Period string

const (
	Day   Period = "day"
	Week  Period = "week"
	Month Period = "month"
	Year  Period = "year"
	All   Period = "all"
)

type CheermoteType string

const (
	GlobalFirstParty CheermoteType = "global_first_party"
	GlobalThirdParty CheermoteType = "global_third_party"
	ChannelCustom    CheermoteType = "channel_custom"
	DisplayOnly      CheermoteType = "display_only"
	Sponsored        CheermoteType = "sponsored"
)
