package entitlements

type FulfillmentStatus string

const (
	FulfillmentStatusClaimed   FulfillmentStatus = "CLAIMED"
	FulfillmentStatusFulfilled FulfillmentStatus = "FULFILLED"
)

type UpdateStatus string

const (
	UpdateStatusInvalidID    UpdateStatus = "INVALID_ID"
	UpdateStatusNotFound     UpdateStatus = "NOT_FOUND"
	UpdateStatusSuccess      UpdateStatus = "SUCCESS"
	UpdateStatusUnauthorized UpdateStatus = "UNAUTHORIZED"
	UpdateStatusUpdateFailed UpdateStatus = "UPDATE_FAILED"
)
